Virtual
Get card data by token
You can use this endpoint to request card data with the checkout card token. The card token is temporary and only available for a limited time. This endpoint is only needed when a card session is created with a card response format of token.
GET
/
v2
/
session
/
card
/
token
/
{token}
Get VC data by token
curl --request GET \
--url https://sandbox.gateway.sezzle.com/v2/session/card/token/{token} \
--header 'Authorization: <api-key>'import requests
url = "https://sandbox.gateway.sezzle.com/v2/session/card/token/{token}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://sandbox.gateway.sezzle.com/v2/session/card/token/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cvv_number": "123",
"expiration_date": "0228",
"first_name": "John",
"last_name": "Doe",
"pan": "1234"
}[
{
"code": "bad_request",
"message": "bad request"
}
][
{
"code": "unauthorized",
"message": "authorization not accepted"
}
][
{
"code": "record_not_found",
"message": "not found"
}
][
{
"code": "invalid",
"message": "Unprocessable entity"
}
]Security Rules Data is only available for 24 hours and requires an
authorization token. Once accessed the token is deleted which cannot be
undone.
Authorizations
The authentication token generated from providing API Keys to Sezzle Gateway
Path Parameters
The session token to get (from Create Card Session response)
⌘I
Get VC data by token
